diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/neighbor-cache-test.cc ns-3.44/src/internet/test/neighbor-cache-test.cc
--- ns-3.43/src/internet/test/neighbor-cache-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/neighbor-cache-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -29,67 +29,67 @@
 using namespace ns3;
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Dynamic Neighbor Cache Test
+ * @brief Dynamic Neighbor Cache Test
  */
 class DynamicNeighborCacheTest : public TestCase
 {
     Ptr<Packet> m_receivedPacket; //!< Received packet
 
     /**
-     * \brief Send data immediately after being called.
-     * \param socket The sending socket.
-     * \param to IPv4 Destination address.
+     * @brief Send data immediately after being called.
+     * @param socket The sending socket.
+     * @param to IPv4 Destination address.
      */
     void DoSendDatav4(Ptr<Socket> socket, Ipv4Address to);
 
     /**
-     * \brief Send data immediately after being called.
-     * \param socket The sending socket.
-     * \param to IPv6 Destination address.
+     * @brief Send data immediately after being called.
+     * @param socket The sending socket.
+     * @param to IPv6 Destination address.
      */
     void DoSendDatav6(Ptr<Socket> socket, Ipv6Address to);
 
     /**
-     * \brief Schedules the DoSendData () function to send the data.
-     * \param socket The sending socket.
-     * \param to IPv4 Destination address.
+     * @brief Schedules the DoSendData () function to send the data.
+     * @param socket The sending socket.
+     * @param to IPv4 Destination address.
      */
     void SendData(Ptr<Socket> socket, Ipv4Address to);
 
     /**
-     * \brief Schedules the DoSendData () function to send the data.
-     * \param socket The sending socket.
-     * \param to IPv6 Destination address.
+     * @brief Schedules the DoSendData () function to send the data.
+     * @param socket The sending socket.
+     * @param to IPv6 Destination address.
      */
     void SendData(Ptr<Socket> socket, Ipv6Address to);
 
     /**
-     * \brief Add an IPv4 address to an IPv4 interface
-     * \param ipv4Interface The interface that address will be added.
-     * \param ifaceAddr The added IPv4 address.
+     * @brief Add an IPv4 address to an IPv4 interface
+     * @param ipv4Interface The interface that address will be added.
+     * @param ifaceAddr The added IPv4 address.
      */
     void AddIpv4Address(Ptr<Ipv4Interface> ipv4Interface, Ipv4InterfaceAddress ifaceAddr);
 
     /**
-     * \brief Add an IPv6 address to an IPv6 interface
-     * \param ipv6Interface The interface that address will be added.
-     * \param ifaceAddr The added IPv6 address.
+     * @brief Add an IPv6 address to an IPv6 interface
+     * @param ipv6Interface The interface that address will be added.
+     * @param ifaceAddr The added IPv6 address.
      */
     void AddIpv6Address(Ptr<Ipv6Interface> ipv6Interface, Ipv6InterfaceAddress ifaceAddr);
 
     /**
-     * \brief Remove an IPv4 address from an IPv4 interface
-     * \param ipv4Interface The interface that address will be removed from.
-     * \param index The index of IPv4 address that will be removed.
+     * @brief Remove an IPv4 address from an IPv4 interface
+     * @param ipv4Interface The interface that address will be removed from.
+     * @param index The index of IPv4 address that will be removed.
      */
     void RemoveIpv4Address(Ptr<Ipv4Interface> ipv4Interface, uint32_t index);
 
     /**
-     * \brief Remove an IPv6 address from an IPv6 interface
-     * \param ipv6Interface The interface that address will be removed from.
-     * \param index The index of IPv6 address that will be removed.
+     * @brief Remove an IPv6 address from an IPv6 interface
+     * @param ipv6Interface The interface that address will be removed from.
+     * @param index The index of IPv6 address that will be removed.
      */
     void RemoveIpv6Address(Ptr<Ipv6Interface> ipv6Interface, uint32_t index);
 
@@ -99,8 +99,8 @@
     DynamicNeighborCacheTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 
@@ -529,9 +529,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Neighbor cache on Channel Test
+ * @brief Neighbor cache on Channel Test
  */
 class ChannelTest : public TestCase
 {
@@ -618,9 +618,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Neighbor Cache on NetDeviceContainer Test
+ * @brief Neighbor Cache on NetDeviceContainer Test
  */
 class NetDeviceContainerTest : public TestCase
 {
@@ -708,9 +708,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Neighbor Cache on InterfaceContainer Test
+ * @brief Neighbor Cache on InterfaceContainer Test
  */
 class InterfaceContainerTest : public TestCase
 {
@@ -798,9 +798,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Neighbor Cache Flush Test
+ * @brief Neighbor Cache Flush Test
  */
 class FlushTest : public TestCase
 {
@@ -905,9 +905,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Neighbor Cache on Overlapped Scope Test
+ * @brief Neighbor Cache on Overlapped Scope Test
  */
 class DuplicateTest : public TestCase
 {
@@ -1004,9 +1004,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Dynamic Neighbor Cache on Reduced Scope Test
+ * @brief Dynamic Neighbor Cache on Reduced Scope Test
  */
 class DynamicPartialTest : public TestCase
 {
@@ -1015,30 +1015,30 @@
     DynamicPartialTest();
 
     /**
-     * \brief Add an IPv4 address to an IPv4 interface
-     * \param ipv4Interface The interface that address will be added.
-     * \param ifaceAddr The added IPv4 address.
+     * @brief Add an IPv4 address to an IPv4 interface
+     * @param ipv4Interface The interface that address will be added.
+     * @param ifaceAddr The added IPv4 address.
      */
     void AddIpv4Address(Ptr<Ipv4Interface> ipv4Interface, Ipv4InterfaceAddress ifaceAddr);
 
     /**
-     * \brief Add an IPv6 address to an IPv6 interface
-     * \param ipv6Interface The interface that address will be added.
-     * \param ifaceAddr The added IPv6 address.
+     * @brief Add an IPv6 address to an IPv6 interface
+     * @param ipv6Interface The interface that address will be added.
+     * @param ifaceAddr The added IPv6 address.
      */
     void AddIpv6Address(Ptr<Ipv6Interface> ipv6Interface, Ipv6InterfaceAddress ifaceAddr);
 
     /**
-     * \brief Remove an IPv4 address from an IPv4 interface
-     * \param ipv4Interface The interface that address will be removed from.
-     * \param index The index of IPv4 address that will be removed.
+     * @brief Remove an IPv4 address from an IPv4 interface
+     * @param ipv4Interface The interface that address will be removed from.
+     * @param index The index of IPv4 address that will be removed.
      */
     void RemoveIpv4Address(Ptr<Ipv4Interface> ipv4Interface, uint32_t index);
 
     /**
-     * \brief Remove an IPv6 address from an IPv6 interface
-     * \param ipv6Interface The interface that address will be removed from.
-     * \param index The index of IPv6 address that will be removed.
+     * @brief Remove an IPv6 address from an IPv6 interface
+     * @param ipv6Interface The interface that address will be removed from.
+     * @param index The index of IPv6 address that will be removed.
      */
     void RemoveIpv6Address(Ptr<Ipv6Interface> ipv6Interface, uint32_t index);
 
@@ -1211,9 +1211,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief NeighborCache TestSuite
+ * @brief NeighborCache TestSuite
  */
 class NeighborCacheTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/rtt-test.cc ns-3.44/src/internet/test/rtt-test.cc
--- ns-3.43/src/internet/test/rtt-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/rtt-test.cc	2025-03-09 16:55:49.411371200 -0700
@@ -16,9 +16,9 @@
 NS_LOG_COMPONENT_DEFINE("RttEstimatorTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief RTT estimator Test
+ * @brief RTT estimator Test
  */
 class RttEstimatorTestCase : public TestCase
 {
@@ -30,19 +30,19 @@
     void DoTeardown() override;
 
     /**
-     * \brief Check RTT values.
-     * \param rtt The RTT estimator.
-     * \param m The measurement.
-     * \param e The expected value.
-     * \param v The expected variance.
+     * @brief Check RTT values.
+     * @param rtt The RTT estimator.
+     * @param m The measurement.
+     * @param e The expected value.
+     * @param v The expected variance.
      */
     void CheckValues(Ptr<RttEstimator> rtt, Time m, Time e, Time v);
     /**
-     * \brief Check RTT values with a 1 nanosecond of tolerance.
-     * \param rtt The RTT estimator.
-     * \param m The measurement.
-     * \param e The expected value.
-     * \param v The expected variance.
+     * @brief Check RTT values with a 1 nanosecond of tolerance.
+     * @param rtt The RTT estimator.
+     * @param m The measurement.
+     * @param e The expected value.
+     * @param v The expected variance.
      */
     void CheckValuesWithTolerance(Ptr<RttEstimator> rtt, Time m, Time e, Time v);
 };
@@ -64,8 +64,8 @@
 RttEstimatorTestCase::CheckValuesWithTolerance(Ptr<RttEstimator> rtt, Time m, Time e, Time v)
 {
     rtt->Measurement(m);
-    NS_TEST_EXPECT_MSG_EQ_TOL(rtt->GetEstimate(), e, Time(NanoSeconds(1)), "Estimate not correct");
-    NS_TEST_EXPECT_MSG_EQ_TOL(rtt->GetVariation(), v, Time(NanoSeconds(1)), "Estimate not correct");
+    NS_TEST_EXPECT_MSG_EQ_TOL(rtt->GetEstimate(), e, NanoSeconds(1), "Estimate not correct");
+    NS_TEST_EXPECT_MSG_EQ_TOL(rtt->GetVariation(), v, NanoSeconds(1), "Estimate not correct");
 }
 
 void
@@ -103,23 +103,20 @@
     Time t(Seconds(1));
     Time t2(MilliSeconds(125));
     NS_TEST_EXPECT_MSG_EQ(t2, Time::From(t.GetInteger() >> 3), "X");
-    NS_TEST_EXPECT_MSG_EQ(rtt->GetEstimate(), Time(Seconds(1)), "Incorrect initial estimate");
-    NS_TEST_EXPECT_MSG_EQ(rtt->GetVariation(), Time(Seconds(0)), "Incorrect initial variance");
+    NS_TEST_EXPECT_MSG_EQ(rtt->GetEstimate(), Seconds(1), "Incorrect initial estimate");
+    NS_TEST_EXPECT_MSG_EQ(rtt->GetVariation(), Seconds(0), "Incorrect initial variance");
     NS_TEST_EXPECT_MSG_EQ(rtt->GetNSamples(), 0, "Incorrect initial estimate");
 
     // CheckValues (rtt, measurement, new estimate, new variance);
     // Initial value:  SRTT <- measurement; RTTVAR <- measurement/2
-    CheckValues(rtt, Time(Seconds(1)), Time(Seconds(1)), Time(MilliSeconds(500)));
+    CheckValues(rtt, Seconds(1), Seconds(1), MilliSeconds(500));
     // Subsequent values:  according to RFC 6298
-    CheckValues(rtt, Time(MilliSeconds(1200)), Time(MilliSeconds(1025)), Time(MilliSeconds(425)));
+    CheckValues(rtt, MilliSeconds(1200), MilliSeconds(1025), MilliSeconds(425));
     Ptr<RttEstimator> copy = rtt->Copy();
-    CheckValues(rtt, Time(MilliSeconds(900)), Time(MicroSeconds(1009375)), Time(MilliSeconds(350)));
+    CheckValues(rtt, MilliSeconds(900), MicroSeconds(1009375), MilliSeconds(350));
 
     // Check behavior of copy; should have inherited state
-    CheckValues(copy,
-                Time(MilliSeconds(900)),
-                Time(MicroSeconds(1009375)),
-                Time(MilliSeconds(350)));
+    CheckValues(copy, MilliSeconds(900), MicroSeconds(1009375), MilliSeconds(350));
 
     // Floating point arithmetic due to alpha and beta settings
     rtt->Reset();
@@ -127,15 +124,9 @@
     NS_TEST_EXPECT_MSG_EQ(ok, true, "Attribute should be settable");
     ok = rtt->SetAttributeFailSafe("Beta", DoubleValue(0.1));
     NS_TEST_EXPECT_MSG_EQ(ok, true, "Attribute should be settable");
-    CheckValuesWithTolerance(rtt, Time(Seconds(1.2)), Time(Seconds(1.2)), Time(Seconds(0.6)));
-    CheckValuesWithTolerance(rtt,
-                             Time(MilliSeconds(950)),
-                             Time(MilliSeconds(1175)),
-                             Time(MilliSeconds(565)));
-    CheckValuesWithTolerance(rtt,
-                             Time(MilliSeconds(1400)),
-                             Time(MicroSeconds(1197500)),
-                             Time(MilliSeconds(531)));
+    CheckValuesWithTolerance(rtt, Seconds(1.2), Seconds(1.2), Seconds(0.6));
+    CheckValuesWithTolerance(rtt, MilliSeconds(950), MilliSeconds(1175), MilliSeconds(565));
+    CheckValuesWithTolerance(rtt, MilliSeconds(1400), MicroSeconds(1197500), MilliSeconds(531));
 
     // Check boundary values; 0 will not update, 1 will use most recent value
     rtt->Reset();
@@ -143,22 +134,22 @@
     NS_TEST_EXPECT_MSG_EQ(ok, true, "Attribute should be settable");
     ok = rtt->SetAttributeFailSafe("Beta", DoubleValue(0));
     NS_TEST_EXPECT_MSG_EQ(ok, true, "Attribute should be settable");
-    CheckValues(rtt, Time(Seconds(1)), Time(Seconds(1)), Time(MilliSeconds(500)));
-    CheckValues(rtt, Time(Seconds(2)), Time(Seconds(1)), Time(MilliSeconds(500)));
-    CheckValues(rtt, Time(Seconds(3)), Time(Seconds(1)), Time(MilliSeconds(500)));
+    CheckValues(rtt, Seconds(1), Seconds(1), MilliSeconds(500));
+    CheckValues(rtt, Seconds(2), Seconds(1), MilliSeconds(500));
+    CheckValues(rtt, Seconds(3), Seconds(1), MilliSeconds(500));
     rtt->Reset();
     ok = rtt->SetAttributeFailSafe("Alpha", DoubleValue(1));
     NS_TEST_EXPECT_MSG_EQ(ok, true, "Attribute should be settable");
     ok = rtt->SetAttributeFailSafe("Beta", DoubleValue(1));
     NS_TEST_EXPECT_MSG_EQ(ok, true, "Attribute should be settable");
-    CheckValues(rtt, Time(Seconds(1)), Time(Seconds(1)), Time(MilliSeconds(500)));
-    CheckValues(rtt, Time(Seconds(2.5)), Time(Seconds(2.5)), Time(Seconds(1.5)));
-    CheckValues(rtt, Time(Seconds(7)), Time(Seconds(7)), Time(Seconds(4.5)));
+    CheckValues(rtt, Seconds(1), Seconds(1), MilliSeconds(500));
+    CheckValues(rtt, Seconds(2.5), Seconds(2.5), Seconds(1.5));
+    CheckValues(rtt, Seconds(7), Seconds(7), Seconds(4.5));
 
     // recheck initial values
     rtt->Reset();
-    NS_TEST_EXPECT_MSG_EQ(rtt->GetEstimate(), Time(Seconds(1)), "Incorrect initial estimate");
-    NS_TEST_EXPECT_MSG_EQ(rtt->GetVariation(), Time(Seconds(0)), "Incorrect initial variation");
+    NS_TEST_EXPECT_MSG_EQ(rtt->GetEstimate(), Seconds(1), "Incorrect initial estimate");
+    NS_TEST_EXPECT_MSG_EQ(rtt->GetVariation(), Seconds(0), "Incorrect initial variation");
     NS_TEST_EXPECT_MSG_EQ(rtt->GetNSamples(), 0, "Incorrect initial estimate");
 }
 
@@ -168,9 +159,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief RTT estimator TestSuite
+ * @brief RTT estimator TestSuite
  */
 class RttEstimatorTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-advertised-window-test.cc ns-3.44/src/internet/test/tcp-advertised-window-test.cc
--- ns-3.43/src/internet/test/tcp-advertised-window-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-advertised-window-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -17,25 +17,25 @@
 NS_LOG_COMPONENT_DEFINE("TcpAdvertisedWindowTestSuite");
 
 /**
- * \ingroup internet-test
- * \ingroup tests
- * \brief Socket that wraps every call to AdvertisedWindowSize ().
+ * @ingroup internet-test
+ * @ingroup tests
+ * @brief Socket that wraps every call to AdvertisedWindowSize ().
  */
 
 class TcpSocketAdvertisedWindowProxy : public TcpSocketMsgBase
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
-    /** \brief typedef for a cb */
+    /** @brief typedef for a cb */
     typedef Callback<void, uint16_t, uint16_t> InvalidAwndCallback;
 
     /**
-     * \brief Constructor
+     * @brief Constructor
      */
     TcpSocketAdvertisedWindowProxy()
         : TcpSocketMsgBase(),
@@ -44,9 +44,9 @@
     }
 
     /**
-     * \brief Copy-constructor
+     * @brief Copy-constructor
      *
-     * \param other Other obj
+     * @param other Other obj
      */
     TcpSocketAdvertisedWindowProxy(const TcpSocketAdvertisedWindowProxy& other)
         : TcpSocketMsgBase(other)
@@ -56,16 +56,16 @@
     }
 
     /**
-     * \brief Set the invalid AdvWnd callback
+     * @brief Set the invalid AdvWnd callback
      *
-     * \param cb callback to set
+     * @param cb callback to set
      */
     void SetInvalidAwndCb(InvalidAwndCallback cb);
 
     /**
-     * \brief Set the expected segment size
+     * @brief Set the expected segment size
      *
-     * \param seg Segment size
+     * @param seg Segment size
      */
     void SetExpectedSegmentSize(uint16_t seg)
     {
@@ -81,7 +81,7 @@
     InvalidAwndCallback m_inwalidAwndCb; //!< Callback
 
     /**
-     * \brief Test meta-information: size of the segments that are received.
+     * @brief Test meta-information: size of the segments that are received.
      *
      * This is necessary for making sure the calculated awnd only differs by
      * exactly that one segment that was not yet read by the application.
@@ -163,8 +163,8 @@
  * The legacy code used for calculating the advertised window.
  *
  * This was copied from tcp-socket-base.cc before changing the formula.
- * \param scale true if should scale the window
- * \return the old adv wnd value
+ * @param scale true if should scale the window
+ * @return the old adv wnd value
  */
 uint16_t
 TcpSocketAdvertisedWindowProxy::OldAdvertisedWindowSize(bool scale) const
@@ -195,23 +195,23 @@
 NS_OBJECT_ENSURE_REGISTERED(TcpSocketAdvertisedWindowProxy);
 
 /**
- * \ingroup internet-test
- * \ingroup tests
+ * @ingroup internet-test
+ * @ingroup tests
  *
- * \brief An error model that randomly drops a given rátio of TCP segments.
+ * @brief An error model that randomly drops a given rátio of TCP segments.
  */
 class TcpDropRatioErrorModel : public TcpGeneralErrorModel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Constructor
-     * \param dropRatio the drop ratio
+     * @brief Constructor
+     * @param dropRatio the drop ratio
      */
     TcpDropRatioErrorModel(double dropRatio)
         : TcpGeneralErrorModel(),
@@ -226,7 +226,10 @@
                     uint32_t packetSize) override;
 
   private:
-    void DoReset() override{};
+    void DoReset() override
+    {
+    }
+
     double m_dropRatio;                //!< Drop ratio
     Ptr<UniformRandomVariable> m_prng; //!< Random variable
 };
@@ -249,9 +252,9 @@
 }
 
 /**
- * \ingroup internet-test
- * \ingroup tests
- * \brief Test the new formula for calculating TCP's advertised window size.
+ * @ingroup internet-test
+ * @ingroup tests
+ * @brief Test the new formula for calculating TCP's advertised window size.
  *
  * In TcpSocketBase, the advertised window is now calculated as
  *
@@ -275,11 +278,11 @@
 {
   public:
     /**
-     * \brief Constructor
-     * \param desc description
-     * \param size segment size
-     * \param packets number of packets to send
-     * \param lossRatio error ratio
+     * @brief Constructor
+     * @param desc description
+     * @param size segment size
+     * @param packets number of packets to send
+     * @param lossRatio error ratio
      */
     TcpAdvertisedWindowTest(const std::string& desc,
                             uint32_t size,
@@ -293,9 +296,9 @@
 
   private:
     /**
-     * \brief Callback called for the update of the awnd
-     * \param oldAwnd Old advertised window
-     * \param newAwnd new value
+     * @brief Callback called for the update of the awnd
+     * @param oldAwnd Old advertised window
+     * @param newAwnd new value
      */
     void InvalidAwndCb(uint16_t oldAwnd, uint16_t newAwnd);
     uint32_t m_pktSize;  //!< Packet size
@@ -320,7 +323,7 @@
     TcpGeneralTest::ConfigureEnvironment();
     SetAppPktCount(m_pktCount);
     SetPropagationDelay(MilliSeconds(50));
-    SetTransmitStart(Seconds(2.0));
+    SetTransmitStart(Seconds(2));
     SetAppPktSize(m_pktSize);
 }
 
@@ -353,19 +356,19 @@
 //-----------------------------------------------------------------------------
 
 /**
- * \ingroup internet-test
- * \ingroup tests
- * \brief Test the TCP's advertised window size when there is a loss of specific packets.
+ * @ingroup internet-test
+ * @ingroup tests
+ * @brief Test the TCP's advertised window size when there is a loss of specific packets.
  */
 class TcpAdvWindowOnLossTest : public TcpGeneralTest
 {
   public:
     /**
-     * \brief Constructor
-     * \param desc description
-     * \param size segment size
-     * \param packets number of packets to send
-     * \param toDrop packets to be dropped
+     * @brief Constructor
+     * @param desc description
+     * @param size segment size
+     * @param packets number of packets to send
+     * @param toDrop packets to be dropped
      */
     TcpAdvWindowOnLossTest(const std::string& desc,
                            uint32_t size,
@@ -380,9 +383,9 @@
 
   private:
     /**
-     * \brief Callback called for the update of the awnd
-     * \param oldAwnd Old advertised window
-     * \param newAwnd new value
+     * @brief Callback called for the update of the awnd
+     * @param oldAwnd Old advertised window
+     * @param newAwnd new value
      */
     void InvalidAwndCb(uint16_t oldAwnd, uint16_t newAwnd);
     uint32_t m_pktSize;             //!< Packet size
@@ -407,7 +410,7 @@
     TcpGeneralTest::ConfigureEnvironment();
     SetAppPktCount(m_pktCount);
     SetPropagationDelay(MilliSeconds(50));
-    SetTransmitStart(Seconds(2.0));
+    SetTransmitStart(Seconds(2));
     SetAppPktSize(m_pktSize);
 }
 
@@ -455,10 +458,10 @@
 //-----------------------------------------------------------------------------
 
 /**
- * \ingroup internet-test
- * \ingroup tests
+ * @ingroup internet-test
+ * @ingroup tests
  *
- * \brief Test Suite for TCP adv window
+ * @brief Test Suite for TCP adv window
  */
 class TcpAdvertisedWindowTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-bbr-test.cc ns-3.44/src/internet/test/tcp-bbr-test.cc
--- ns-3.43/src/internet/test/tcp-bbr-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-bbr-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -21,22 +21,22 @@
 NS_LOG_COMPONENT_DEFINE("TcpBbrTestSuite");
 
 /**
- * \brief Testing whether BBR enables pacing
+ * @brief Testing whether BBR enables pacing
  */
 class TcpBbrPacingEnableTest : public TestCase
 {
   public:
     /**
-     * \brief constructor
-     * \param pacing pacing configuration
-     * \param name description of the test
+     * @brief constructor
+     * @param pacing pacing configuration
+     * @param name description of the test
      */
     TcpBbrPacingEnableTest(bool pacing, const std::string& name);
 
   private:
     void DoRun() override;
     /**
-     * \brief Execute the test.
+     * @brief Execute the test.
      */
     void ExecuteTest();
     bool m_pacing; //!< Initial pacing configuration.
@@ -51,7 +51,7 @@
 void
 TcpBbrPacingEnableTest::DoRun()
 {
-    Simulator::Schedule(Seconds(0.0), &TcpBbrPacingEnableTest::ExecuteTest, this);
+    Simulator::Schedule(Seconds(0), &TcpBbrPacingEnableTest::ExecuteTest, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -70,23 +70,23 @@
 }
 
 /**
- * \brief Tests whether BBR sets correct value of pacing and cwnd gain based on different state.
+ * @brief Tests whether BBR sets correct value of pacing and cwnd gain based on different state.
  */
 class TcpBbrCheckGainValuesTest : public TestCase
 {
   public:
     /**
-     * \brief constructor
-     * \param state BBR state/mode under test
-     * \param highGain value of pacing and cwnd gain
-     * \param name description of the test
+     * @brief constructor
+     * @param state BBR state/mode under test
+     * @param highGain value of pacing and cwnd gain
+     * @param name description of the test
      */
     TcpBbrCheckGainValuesTest(TcpBbr::BbrMode_t state, double highGain, const std::string& name);
 
   private:
     void DoRun() override;
     /**
-     * \brief Execute the test.
+     * @brief Execute the test.
      */
     void ExecuteTest();
     TcpBbr::BbrMode_t m_mode; //!< BBR mode under test
@@ -105,7 +105,7 @@
 void
 TcpBbrCheckGainValuesTest::DoRun()
 {
-    Simulator::Schedule(Seconds(0.0), &TcpBbrCheckGainValuesTest::ExecuteTest, this);
+    Simulator::Schedule(Seconds(0), &TcpBbrCheckGainValuesTest::ExecuteTest, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -170,15 +170,15 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP BBR TestSuite
+ * @brief TCP BBR TestSuite
  */
 class TcpBbrTestSuite : public TestSuite
 {
   public:
     /**
-     * \brief constructor
+     * @brief constructor
      */
     TcpBbrTestSuite()
         : TestSuite("tcp-bbr-test", Type::UNIT)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/test/tcp-bic-test.cc ns-3.44/src/internet/test/tcp-bic-test.cc
--- ns-3.43/src/internet/test/tcp-bic-test.cc	2024-10-09 16:41:09.896656000 -0700
+++ ns-3.44/src/internet/test/tcp-bic-test.cc	2025-03-09 16:55:49.415371200 -0700
@@ -16,21 +16,21 @@
 NS_LOG_COMPONENT_DEFINE("TcpBicTestSuite");
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the congestion avoidance increment on TcpBic
+ * @brief Testing the congestion avoidance increment on TcpBic
  */
 class TcpBicIncrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param ssThresh Slow Start Threshold.
-     * \param segmentsAcked Number of segments acked.
-     * \param lastMaxCwnd Last max Cwnd.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param ssThresh Slow Start Threshold.
+     * @param segmentsAcked Number of segments acked.
+     * @param lastMaxCwnd Last max Cwnd.
+     * @param name Test description.
      */
     TcpBicIncrementTest(uint32_t cWnd,
                         uint32_t segmentSize,
@@ -43,14 +43,14 @@
     void DoRun() override;
 
     /**
-     * \brief Update the TCP socket state.
-     * \param tcb The TCP socket state.
-     * \returns The ack counter.
+     * @brief Update the TCP socket state.
+     * @param tcb The TCP socket state.
+     * @returns The ack counter.
      */
     uint32_t Update(Ptr<TcpSocketState> tcb);
 
     /**
-     * \brief Execute the test.
+     * @brief Execute the test.
      */
     void ExecuteTest();
 
@@ -86,7 +86,7 @@
     m_state->m_segmentSize = m_segmentSize;
     m_state->m_ssThresh = m_ssThresh;
 
-    Simulator::Schedule(Seconds(0.0), &TcpBicIncrementTest::ExecuteTest, this);
+    Simulator::Schedule(Seconds(0), &TcpBicIncrementTest::ExecuteTest, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -178,20 +178,20 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief Testing the congestion avoidance decrement on TcpBic
+ * @brief Testing the congestion avoidance decrement on TcpBic
  */
 class TcpBicDecrementTest : public TestCase
 {
   public:
     /**
-     * \brief Constructor.
-     * \param cWnd Congestion window.
-     * \param segmentSize Segment size.
-     * \param fastConvergence Fast convergence.
-     * \param lastMaxCwnd Last max Cwnd.
-     * \param name Test description.
+     * @brief Constructor.
+     * @param cWnd Congestion window.
+     * @param segmentSize Segment size.
+     * @param fastConvergence Fast convergence.
+     * @param lastMaxCwnd Last max Cwnd.
+     * @param name Test description.
      */
     TcpBicDecrementTest(uint32_t cWnd,
                         uint32_t segmentSize,
@@ -203,7 +203,7 @@
     void DoRun() override;
 
     /**
-     * \brief Execute the test.
+     * @brief Execute the test.
      */
     void ExecuteTest();
 
@@ -235,7 +235,7 @@
     m_state->m_cWnd = m_cWnd;
     m_state->m_segmentSize = m_segmentSize;
 
-    Simulator::Schedule(Seconds(0.0), &TcpBicDecrementTest::ExecuteTest, this);
+    Simulator::Schedule(Seconds(0), &TcpBicDecrementTest::ExecuteTest, this);
     Simulator::Run();
     Simulator::Destroy();
 }
@@ -291,9 +291,9 @@
 }
 
 /**
- * \ingroup internet-test
+ * @ingroup internet-test
  *
- * \brief TCP Bic TestSuite
+ * @brief TCP Bic TestSuite
  */
 class TcpBicTestSuite : public TestSuite
 {
